curl --request GET \
--url https://api.hubapi.com/marketing/forms/2026-09-beta/{formId} \
--header 'Authorization: Bearer <token>'{
"formType": "hubspot",
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archived": true,
"fieldGroups": [
{
"fields": [
{
"dependentFields": [
{
"dependentCondition": {
"operator": "between",
"rangeEnd": "<string>",
"rangeStart": "<string>",
"value": "<string>",
"values": [
"<string>"
]
},
"dependentField": "<unknown>"
}
],
"fieldType": "email",
"hidden": true,
"label": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"required": true,
"validation": {
"blockedEmailDomains": [
"<string>"
],
"useDefaultBlockList": true
},
"defaultValue": "<string>",
"description": "<string>",
"placeholder": "<string>"
}
],
"groupType": "default_group",
"richTextType": "image",
"richText": "<string>"
}
],
"configuration": {
"allowLinkToResetKnownValues": true,
"archivable": true,
"cloneable": true,
"createNewContactForNewEmail": true,
"editable": true,
"language": "af",
"lifecycleStages": [
{
"objectTypeId": "<string>",
"value": "<string>"
}
],
"notifyContactOwner": true,
"notifyRecipients": [
"<string>"
],
"postSubmitAction": {
"type": "redirect_url",
"value": "<string>"
},
"prePopulateKnownValues": true,
"recaptchaEnabled": true,
"embedType": "V3"
},
"displayOptions": {
"renderRawHtml": true,
"style": {
"backgroundWidth": "<string>",
"fontFamily": "<string>",
"helpTextColor": "<string>",
"helpTextSize": "<string>",
"labelTextColor": "<string>",
"labelTextSize": "<string>",
"legalConsentTextColor": "<string>",
"legalConsentTextSize": "<string>",
"submitAlignment": "center",
"submitColor": "<string>",
"submitFontColor": "<string>",
"submitSize": "<string>"
},
"submitButtonText": "<string>",
"theme": "canvas",
"cssClass": "<string>"
},
"legalConsentOptions": {
"type": "none"
},
"archivedAt": "2023-11-07T05:31:56Z"
}Recupera los detalles de un formulario específico en tu cuenta de HubSpot usando su identificador único. Este punto de terminación te permite acceder a la información de un formulario, incluyendo su configuración y opciones de visualización. También puedes especificar si quieres incluir formularios archivados en la respuesta.
curl --request GET \
--url https://api.hubapi.com/marketing/forms/2026-09-beta/{formId} \
--header 'Authorization: Bearer <token>'{
"formType": "hubspot",
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archived": true,
"fieldGroups": [
{
"fields": [
{
"dependentFields": [
{
"dependentCondition": {
"operator": "between",
"rangeEnd": "<string>",
"rangeStart": "<string>",
"value": "<string>",
"values": [
"<string>"
]
},
"dependentField": "<unknown>"
}
],
"fieldType": "email",
"hidden": true,
"label": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"required": true,
"validation": {
"blockedEmailDomains": [
"<string>"
],
"useDefaultBlockList": true
},
"defaultValue": "<string>",
"description": "<string>",
"placeholder": "<string>"
}
],
"groupType": "default_group",
"richTextType": "image",
"richText": "<string>"
}
],
"configuration": {
"allowLinkToResetKnownValues": true,
"archivable": true,
"cloneable": true,
"createNewContactForNewEmail": true,
"editable": true,
"language": "af",
"lifecycleStages": [
{
"objectTypeId": "<string>",
"value": "<string>"
}
],
"notifyContactOwner": true,
"notifyRecipients": [
"<string>"
],
"postSubmitAction": {
"type": "redirect_url",
"value": "<string>"
},
"prePopulateKnownValues": true,
"recaptchaEnabled": true,
"embedType": "V3"
},
"displayOptions": {
"renderRawHtml": true,
"style": {
"backgroundWidth": "<string>",
"fontFamily": "<string>",
"helpTextColor": "<string>",
"helpTextSize": "<string>",
"labelTextColor": "<string>",
"labelTextSize": "<string>",
"legalConsentTextColor": "<string>",
"legalConsentTextSize": "<string>",
"submitAlignment": "center",
"submitColor": "<string>",
"submitFontColor": "<string>",
"submitSize": "<string>"
},
"submitButtonText": "<string>",
"theme": "canvas",
"cssClass": "<string>"
},
"legalConsentOptions": {
"type": "none"
},
"archivedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
El identificador único del formulario que quieres obtener.
Si se devolverán solo los resultados que se han archivado.
successful operation
hubspot Show child attributes
Show child attributes
Show child attributes
Show child attributes